Update Application Spec
curl --request PATCH \
--url https://api.egp.scale.com/v4/application-specs/{application_spec_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"theme_id": "<string>",
"run_online_evaluation": true,
"restore": false
}
'import requests
url = "https://api.egp.scale.com/v4/application-specs/{application_spec_id}"
payload = {
"name": "<string>",
"description": "<string>",
"theme_id": "<string>",
"run_online_evaluation": True,
"restore": False
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
theme_id: '<string>',
run_online_evaluation: true,
restore: false
})
};
fetch('https://api.egp.scale.com/v4/application-specs/{application_spec_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v4/application-specs/{application_spec_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'theme_id' => '<string>',
'run_online_evaluation' => true,
'restore' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v4/application-specs/{application_spec_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"theme_id\": \"<string>\",\n \"run_online_evaluation\": true,\n \"restore\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.egp.scale.com/v4/application-specs/{application_spec_id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"theme_id\": \"<string>\",\n \"run_online_evaluation\": true,\n \"restore\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v4/application-specs/{application_spec_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"theme_id\": \"<string>\",\n \"run_online_evaluation\": true,\n \"restore\": false\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"description": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"theme_id": "<string>",
"run_online_evaluation": false,
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"archived_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Application Specs
Update Application Spec
Description
Updates a application spec
Details
This API can be used to update the application spec that matches the ID that was passed in as a path parameter. To use this API, pass in the id that was returned from your Create Application Spec API call as a path parameter.
Review the request schema to see the fields that can be updated.
PATCH
/
v4
/
application-specs
/
{application_spec_id}
Update Application Spec
curl --request PATCH \
--url https://api.egp.scale.com/v4/application-specs/{application_spec_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"theme_id": "<string>",
"run_online_evaluation": true,
"restore": false
}
'import requests
url = "https://api.egp.scale.com/v4/application-specs/{application_spec_id}"
payload = {
"name": "<string>",
"description": "<string>",
"theme_id": "<string>",
"run_online_evaluation": True,
"restore": False
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
theme_id: '<string>',
run_online_evaluation: true,
restore: false
})
};
fetch('https://api.egp.scale.com/v4/application-specs/{application_spec_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v4/application-specs/{application_spec_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'theme_id' => '<string>',
'run_online_evaluation' => true,
'restore' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v4/application-specs/{application_spec_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"theme_id\": \"<string>\",\n \"run_online_evaluation\": true,\n \"restore\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.egp.scale.com/v4/application-specs/{application_spec_id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"theme_id\": \"<string>\",\n \"run_online_evaluation\": true,\n \"restore\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v4/application-specs/{application_spec_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"theme_id\": \"<string>\",\n \"run_online_evaluation\": true,\n \"restore\": false\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"description": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"theme_id": "<string>",
"run_online_evaluation": false,
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"archived_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Body
application/json
- PartialApplicationSpecRequest
- RestoreRequest
Response
Successful Response

